#
# spec file for package cpustat
#
# Copyright (c) 2016, Martin Hauke <mardnh@gmx.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           cpustat
Version:        0.01.27
Release:        1.1
Summary:        Periodic cpu utilization statistics
License:        GPL-2.0+
Group:          System/Monitoring
Url:            http://kernel.ubuntu.com/~cking/cpustat/
Source:         http://kernel.ubuntu.com/~cking/tarballs/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
cpustat periodically reports the current CPU utilization of running tasks and
can optionally report per CPU and per task utilization statistics at the end
of a run.
cpustat has been designed and optimized to use a minimal amount of CPU cycles
to monitor a system hence it is a light weight alternative to traditional
process monitoring tools such as top. 

%prep
%setup -q

%build
export CFLAGS="%{optflags}"
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc COPYING README
%{_sbindir}/cpustat
%{_mandir}/man8/*

%changelog
* Sat Jul 30 2016 mardnh@gmx.de
- update to version 0.01.27
  * Makefile: bump version
  * debian/control: update standards version to 3.9.8
- update to version 0.01.26
  * Makefile: bump version
  * Update date in manual
  * debian/control: update standards version to 3.9.7
  * Fix spelling mistake in manual, onlt -> only
  * Update copyright year to 2016
* Wed Nov 11 2015 mardnh@gmx.de
- initial package
